INTERFACE
SUBROUTINE GPMKTENDAD(KST,KEND,PTSPHY,&
 & PUT1,PVT1 ,PTT1,&
 & PGFLT1,&
 & PUT9,PVT9 ,PTT9,&
 & PGFL) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
USE YOM_YGFL , ONLY : YGFL ,YGFLC
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
END SUBROUTINE GPMKTENDAD
END INTERFACE
